Skip to main content
POST
Create Trust Center update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
title
string
required

Title of the update.

description
string
required

Description of the update.

category
enum<string>
required

Category of the update.

Available options:
GENERAL,
COMPLIANCE,
SECURITY,
PRIVACY,
INCIDENT,
ROADMAP
visibilityType
enum<string>

Visibility type of the update.

Available options:
PUBLIC,
PRIVATE
notifiedEmails
string[]

Additional one-off email addresses to notify. These are always sent regardless of notificationTarget.

notificationTarget
enum<string>

Controls which Trust Center subscribers are notified.

  • ALL: notifies all active subscribers
  • GROUPS: notifies only subscribers in the specified subscriberGroupIds
  • NONE: no subscribers are notified

Note: notifiedEmails are always sent regardless of this value.

Available options:
ALL,
GROUPS,
NONE
subscriberGroupIds
string[]

IDs of subscriber groups to notify. Required when notificationTarget is GROUPS.

Response

201 - application/json

Trust Center update created

id
string
required

Unique identifier for the update.

title
string
required

Title of the update.

description
string
required

Description of the update.

category
enum<string>
required

Category of the update.

Available options:
GENERAL,
COMPLIANCE,
SECURITY,
PRIVACY,
INCIDENT,
ROADMAP
creationDate
string<date-time>
required

Date the update was created.

updatedDate
string<date-time>
required

Date the viewer was last updated.

visibilityType
enum<string>
required

Visibility type of the update.

Available options:
PUBLIC,
PRIVATE
notifiedEmails
string[]

Emails to notify about the update.